<?php
/*

MyIPTV plugin (http://blog.isayev.org.ua)

*/

class DemoConfig
{

    const PLUGIN_VERSION 	   = '2.4 (17.11.2012)';

    const TV_FAVORITES_SUPPORTED   = true;

    const EPG_URL_FORMAT	= 'http://www.vsetv.com/schedule_channel_%d_day_%s_nsc_1.html';

    const ALL_CHANNEL_GROUP_CAPTION     = 'All channels';
    const ALL_CHANNEL_GROUP_ICON_PATH   = 'plugin_file://icons/all.png';
    const FAV_CHANNEL_GROUP_CAPTION     = 'Favorites';
    const FAV_CHANNEL_GROUP_ICON_PATH   = 'plugin_file://icons/favorites.png';

   const GROUP_ICON_PATH   = 'plugin_file://icons/g%d.png';
    
    const USE_M3U_FILE = true;

    const M3U_ICON_FILE_URL_FORMAT = 'plugin_file://logo/%d.png';

    const M3U_ICON_FILE_URL_DEFAULT = 'http://blog-isayev-org-ua.googlecode.com/svn/trunk/channel_logos/online.png';

    const M3U_ID_FILE_URL = 'http://blog-isayev-org-ua.googlecode.com/svn/trunk/dune_plugin_myiptv/myiptv_channels_id';

    const DATA_PATH = 'http://blog-isayev-org-ua.googlecode.com/svn/trunk/dune_plugin_myiptv/';

    const CHANNEL_SORT_FUNC_CB = 'DemoConfig::sort_channels_cb';

    public static function get_group_name($gid) {

    	// Groups id 0 - 12 :

    	$group_names = array('General',);
	//

	$gid = array_key_exists($gid, $group_names) ? $gid : 0;    

	return array($gid, $group_names[$gid]);
    }

    ///////////////////////////////////////////////////////////////////////

    //public static function sort_channels_cb($a, $b)
    //{
        // Sort by channel numbers.
        //return strnatcasecmp($a->get_number(), $b->get_number());

        // Other options:
        //return strnatcasecmp($a->get_title(), $b->get_title());
    //}

    ///////////////////////////////////////////////////////////////////////
    // Folder views.

    public static function GET_TV_GROUP_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 5,                                    //jun 4
                    ViewParams::num_rows => 2,                                    //jun 3
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => true,  
                    ViewParams::sandwich_base => 'plugin_file://icons/sandwich_base.png',
                    // ViewParams::sandwich_mask => 'cut_icon://{name=badge}',
                    // ViewParams::sandwich_cover => 'cut_icon://{name=badge}',
                    ViewParams::sandwich_width => 200,                                //jun 245
                    ViewParams::sandwich_height => 200,                                //jun 140
                    ViewParams::icon_selection_box_width => 240,                        //jun
                    ViewParams::icon_selection_box_height => 240,                        //jun
                    ViewParams::icon_selection_box_dx => -118,                            //jun
                    ViewParams::icon_selection_box_dy => -154,                                                  //jun
                    ViewParams::sandwich_icon_upscale_enabled => false,                        
                    ViewParams::sandwich_icon_keep_aspect_ratio => true,  
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => true,                            //jun
                    ViewItemParams::item_caption_font_size =>FONT_SIZE_SMALL,                    //jun
                    ViewItemParams::icon_scale_factor => 1.0,                            //jun 1.25
                    ViewItemParams::icon_sel_scale_factor => 1.2,    
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),

            
        );
    }

    public static function GET_TV_CHANNEL_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 4,
                    ViewParams::num_rows => 4,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => true,
                    ViewParams::sandwich_base => 'plugin_file://icons/sandwich_base_tv_button.png',
                    //ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    ViewParams::sandwich_cover => 'plugin_file://icons/button_glass.png',
                    ViewParams::sandwich_width => 260,
                    ViewParams::sandwich_height => 115,
                    ViewParams::sandwich_icon_upscale_enabled => false,
                    ViewParams::sandwich_icon_keep_aspect_ratio => true,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => true,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_SMALL,
                    ViewItemParams::item_caption_color => 8,
                    ViewItemParams::icon_scale_factor => 1.0,
                    ViewItemParams::icon_sel_scale_factor => 1.2,
                    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
                 ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),
            );
		}
    
}

?>
